#!/usr/bin/env python3
import ping3
import pprint


def read_file():
    domains = []
    with open("debian_mirrors.txt", "r") as f:
        for line in f:
            domain = line.split('http://')[1]
            domain = domain.split('/debian')[0]
            domains.append(domain)
    f.close()
    return domains


def pingging(domains):
    stats = {}

    for domain in domains:
        stats[domain] = ping3.ping(domain)  # don't need sudo prev for this in a modern system

    return stats


def write_out(stats):
    pprint.pprint(stats)


def main():
    write_out(pingging(read_file()))


if __name__ == '__main__':
    main()
